#ifndef QUEUE_H_INCLUDED
#define QUEUE_H_INCLUDED
#include "StdAfx.h"

template<class T>
class CQueue
{
public:
	CQueue();
	~CQueue();
	void Push( const T& );
	const T Pop( void );
private:
public:
private:
	HANDLE m_hProcessHeap;
	T*  m_array;
	int m_sizeArray;
	int m_sizeUsedArray;
};

#include "Queue.cpp"
#endif
