// DvipsPrinter.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "guishell.h"
#include "DvipsPrinter.h"
#include "util.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern const char* g_TEXMF;

/////////////////////////////////////////////////////////////////////////////
// CDvipsPrinter vpeB y[W

IMPLEMENT_DYNCREATE(CDvipsPrinter, CPropertyPage)

CDvipsPrinter::CDvipsPrinter() : CPropertyPage(CDvipsPrinter::IDD)
{
	//{{AFX_DATA_INIT(CDvipsPrinter)
	m_nCMFonts = -1;
	m_nPrinterDPI = 0;
	m_bUseConfig = FALSE;
	//}}AFX_DATA_INIT
}

CDvipsPrinter::~CDvipsPrinter()
{
}

void CDvipsPrinter::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDvipsPrinter)
	DDX_Control(pDX, IDC_COMBO_CONFIG, m_comboConfig);
	DDX_Control(pDX, IDC_SPIN_DPI, m_spinDPI);
	DDX_Radio(pDX, IDC_RADIO_USE_DL, m_nCMFonts);
	DDX_Text(pDX, IDC_EDIT_PRINTER_DPI, m_nPrinterDPI);
	DDV_MinMaxUInt(pDX, m_nPrinterDPI, 0, 2400);
	DDX_Check(pDX, IDC_CHECK_USE_CONFIG, m_bUseConfig);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDvipsPrinter, CPropertyPage)
	//{{AFX_MSG_MAP(CDvipsPrinter)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDvipsPrinter bZ[W nh

BOOL CDvipsPrinter::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	
	// TODO: ̈ʒuɏ̕⑫ǉĂ
	m_spinDPI.SetRange( 0, 2400 );
	if( m_nPrinterDPI == 0 )
	{
		int dpi = GetDefaultPrinterDPI();
		if( dpi == 0 ) dpi = 600;
		char temp[5];
		wsprintf( temp, "%d", dpi );
		((CEdit*)GetDlgItem(IDC_EDIT_PRINTER_DPI))->SetWindowText( temp );
	}

	WIN32_FIND_DATA wfd;
	char* texmf = new char[1];
	DWORD size = GetEnvironmentVariable( g_TEXMF, texmf, 1 );
	delete[] texmf;
	texmf = new char[size+24];
	GetEnvironmentVariable( g_TEXMF, texmf, size+24 );
	SlashToYen( texmf );
	int y = lstrlen( texmf );
	lstrcat( texmf, "\\dvips\\config.*" );
	HANDLE hFind = FindFirstFile( texmf, &wfd );
	if( hFind != INVALID_HANDLE_VALUE
		&& (wfd.dwFileAttributes & FILE_ATTRIBUTE_DIRECTORY) != 0 )
	{
		FindClose( hFind );
		hFind = INVALID_HANDLE_VALUE;
	}
	if( hFind == INVALID_HANDLE_VALUE )
	{
		texmf[y] = NULL;
		lstrcat( texmf, "\\dvips\\config\\config.*" );
		hFind = FindFirstFile( texmf, &wfd );
	}
	if( hFind != INVALID_HANDLE_VALUE )
	{
		FindClose( hFind );
		hFind = FindFirstFile( texmf, &wfd );
		ASSERT( hFind != INVALID_HANDLE_VALUE );
		m_comboConfig.AddString( wfd.cFileName );
		while( FindNextFile( hFind, &wfd ) == TRUE )
		{
			m_comboConfig.AddString( wfd.cFileName );
		}
		FindClose( hFind );
		m_comboConfig.SelectString( -1, m_strConfig );
	}
	delete[] texmf;

	return TRUE;  // Rg[ɃtH[JXݒ肵ȂƂA߂l TRUE ƂȂ܂
	              // O: OCX vpeB y[W̖߂l FALSE ƂȂ܂
}

void CDvipsPrinter::OnOK() 
{
	// TODO: ̈ʒuɌŗL̏ǉ邩A܂͊{NXĂяoĂ
	int i = m_comboConfig.GetCurSel();
	if( i != CB_ERR )
		m_comboConfig.GetLBText( i, m_strConfig );	
	CPropertyPage::OnOK();
}
