// guishell.cpp : AvP[VpNX̋@\`s܂B
//

#include "stdafx.h"
#include "guishell.h"
#include <shlobj.h>

#include "MainFrm.h"
#include "guishellDoc.h"
#include "guishellView.h"
#include "util.h"
#include "MyCommandLineInfo.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern char* g_szFileName;
extern int g_FormatIndexByCommand;
extern DWORD process_type;
extern const char* g_TEXMF;
/////////////////////////////////////////////////////////////////////////////
// CGuishellApp

BEGIN_MESSAGE_MAP(CGuishellApp, CWinApp)
	//{{AFX_MSG_MAP(CGuishellApp)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
		//  - ClassWizard ͂̈ʒuɃ}bsOp̃}Nǉ܂͍폜܂B
		//    ̈ʒuɐR[hҏWȂłB
	//}}AFX_MSG_MAP
	// W̃t@C{hLg R}h
	ON_COMMAND(ID_FILE_NEW, CWinApp::OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, CWinApp::OnFileOpen)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGuishellApp NX̍\z

CGuishellApp::CGuishellApp()
{
	// TODO: ̈ʒuɍ\zpR[hǉĂB
	//  InitInstance ̏dvȏׂċLqĂB

#ifdef _DEBUG
	// Use Debug heap.
	int tmpFlag = _CrtSetDbgFlag( _CRTDBG_REPORT_FLAG );
	tmpFlag |= _CRTDBG_LEAK_CHECK_DF | _CRTDBG_CHECK_ALWAYS_DF | _CRTDBG_ALLOC_MEM_DF;
	tmpFlag &= ~_CRTDBG_CHECK_CRT_DF;
	_CrtSetDbgFlag( tmpFlag );
#endif

	g_szFileName = NULL;	
	process_type = 0;
	g_FormatIndexByCommand = -1;
	char* temp = new char[1];
	if( GetEnvironmentVariable("TEXMF", temp, 1) == 0
		&& GetEnvironmentVariable("TEXMFMAIN", temp, 1) != 0 )
		g_TEXMF = "TEXMFMAIN";
	else g_TEXMF = "TEXMF";
	delete[] temp;
}


/////////////////////////////////////////////////////////////////////////////
// B CGuishellApp IuWFNg

CGuishellApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CGuishellApp NX̏

BOOL CGuishellApp::InitInstance()
{
	// WIȏ
	// ̋@\gpAst@C̃TCY
	//  Έȉ̓̏[`̒sKvȂ
	//  폜ĂB

#ifdef _AFXDLL
	Enable3dControls();			// L DLL ̒ MFC gpꍇɂ͂ĂяoĂB
#else
	Enable3dControlsStatic();	// MFC ƐÓIɃNĂꍇɂ͂ĂяoĂB
#endif

	// ݒ肪ۑ鉺̃WXg L[ύX܂B
	// Ж܂͏ȂǁAK؂ȕ
	// ύXĂB
	SetRegistryKey(_T("otobe"));
	
	int nMRU = GetProfileInt( "General", "NumberOfMRU", 9 );
	LoadStdProfileSettings( nMRU );  // W INI t@C̃IvV[ނ܂ (MRU ܂)
	
	CoInitialize( NULL ); // For shell link.

	// AvP[Vp̃hLg ev[go^܂BhLg ev[g
	//  ̓hLgAt[ EBhEƃr[邽߂ɋ@\܂B

	CSingleDocTemplate* pDocTemplate;
	pDocTemplate = new CSingleDocTemplate(
		IDR_MAINFRAME,
		RUNTIME_CLASS(CGuishellDoc),
		RUNTIME_CLASS(CMainFrame),       // C SDI t[ EBhE
		RUNTIME_CLASS(CGuishellView));
	AddDocTemplate(pDocTemplate);

	// DDEAfile open ȂǕW̃VF R}h̃R}hC͂܂B
	CMyCommandLineInfo cmdInfo;
	ParseCommandLine(cmdInfo);

	// R}hCŃfBXpb` R}hw肵܂B
	if (!ProcessShellCommand(cmdInfo))
		return FALSE;
/*
	// Check that is there same process on the computer.
	// To do it, we shall use Mutex.
	HANDLE hPrevMutex = OpenMutex( MUTEX_ALL_ACCESS, FALSE, "guishell" );
	if( hPrevMutex )
	{
		CloseHandle( hPrevMutex );
		MessageBox( NULL, "There is another guishell on the computer.\n"
			"Please close it before creating new guishell.",
			"guishell", NULL );
		return FALSE;
	}
	m_hMutex = CreateMutex( FALSE, 0, "guishell" );
*/
	// C EBhEꂽ̂ŁA\ƍXVs܂B

	m_pMainWnd->ShowWindow(SW_SHOW);
	m_pMainWnd->UpdateWindow();

	if( AfxGetApp()->GetProfileInt( "General", "GuessGhostscriptPath", FALSE ) == TRUE )
	{
		if( GuessGSDirectory() == FALSE )
		{
			MessageBox( NULL, "To guess the directory of Ghostscript failed.\n"
				"Set PATH to your Ghostscript directory to use it.",
				NULL, MB_OK );
//			return FALSE;
		}
	}
	if( AfxGetApp()->GetProfileInt( "General", "GuessAcrobatPath", FALSE ) == TRUE )
	{
		if( GuessAcrobatDirectory() == FALSE )
		{
			MessageBox( NULL, "To guess the directory of Acrobat failed.\n"
				"Set PATH to your Acrobat directory to use it.",
				NULL, MB_OK );
//			return FALSE;
		}
	}
	if( AfxGetApp()->GetProfileInt( "General", "GuessExecutePath", FALSE ) == TRUE )
	{
		if( SetExecutablePath() == FALSE )
		{
			MessageBox( NULL, "To guess the directory of TeX binary failed.\n"
				"Set PATH to your Acrobat directory to use it.",
				NULL, MB_OK );
//			return FALSE;
		}
	}
	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// AvP[Ṽo[WŎg CAboutDlg _CAO

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// _CAO f[^
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard z֐̃I[o[Ch𐶐܂B
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // // DDX/DDV ̃T|[g
	//}}AFX_VIRTUAL

// Cve[V
protected:
	//{{AFX_MSG(CAboutDlg)
		// bZ[W nh͂܂B
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// bZ[W nh͂܂B
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// _CAOs邽߂̃AvP[V R}h
void CGuishellApp::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}

/////////////////////////////////////////////////////////////////////////////
// CGuishellApp R}h

int CGuishellApp::ExitInstance() 
{
	// TODO: ̈ʒuɌŗL̏ǉ邩A܂͊{NXĂяoĂ
//	ReleaseMutex( m_hMutex );	
	CoUninitialize();
	if( g_szFileName != NULL ) delete[] g_szFileName;
	return CWinApp::ExitInstance();
}
