// MainFrm.cpp : CMainFrame NX̓̒`s܂B
//

#include "stdafx.h"
#include "guishell.h"

#include "MainFrm.h"
#include "DdeSrv.h"
#include "util.h"
#include "TextFile.h"
extern CRITICAL_SECTION g_csDde;

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern const DWORD PROCESS_ONCE = 1;
extern const DWORD PROCESS_COMPLETE = 2;

extern HWND g_hWndView;

extern BOOL dde_mode;
extern DWORD process_type;
extern char* g_szFileName;
extern char* g_szDdeData;
extern BOOL shell_exec;
extern BOOL force_src;
extern BOOL force_no_src;
extern int g_FormatIndexByCommand;
extern const char* g_TEXMF;

/////////////////////////////////////////////////////////////////////////////
// CMainFrame

IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	//{{AFX_MSG_MAP(CMainFrame)
	ON_WM_CREATE()
	ON_WM_CLOSE()
	ON_WM_DROPFILES()
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMainFrame NX̍\z/

CMainFrame::CMainFrame()
{
	// TODO: ̈ʒuɃȍR[hǉĂB
	m_ddesrv = NULL;
	g_szDdeData = NULL;
	shell_exec = FALSE;
	force_src = FALSE;
	force_no_src = FALSE;
}

CMainFrame::~CMainFrame()
{
	if( g_szDdeData != NULL ) delete g_szDdeData;
}

int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;

	// Dynamic Data Exchange
	m_ddesrv = new CDdeSrv( "guishell", "guishell", "advise" );
	m_ddesrv->SetAdviceCallBack( Dde_PostAdvice );
	m_ddesrv->SetExecuteCallBack( Dde_Execute );

	
	if (!m_wndToolBar.CreateEx(this,TBSTYLE_FLAT | TBSTYLE_TRANSPARENT ) ||
		!m_wndToolBar.LoadToolBar(IDR_MAINFRAME))
	{
		TRACE0("Failed to create toolbar\n");
		return -1;      // 쐬Ɏs
	}

	m_wndDlgBar.Create( this, IDD_DIALOGBAR, CBRS_TOP, AFX_IDW_CONTROLBAR_FIRST +32 );
	m_wndDvipsBar.Create( this, IDD_DVIPSBAR, CBRS_TOP, AFX_IDW_CONTROLBAR_FIRST +33 );

	// TODO: c[ `bvXKvȂꍇA폜ĂB
	m_wndToolBar.SetBarStyle(m_wndToolBar.GetBarStyle() |
		CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_DYNAMIC);
	m_wndToolBar.SetWindowText( "GUI-Shell Tool Bar" );
	m_wndDlgBar.SetWindowText( "GUI-Shell Format Files" );
	m_wndDvipsBar.SetWindowText( "GUI-Shell Dvips Bar" );

	// TODO: c[ o[hbLO\ɂȂꍇ͈ȉ̂Rs폜
	//       ĂB
	m_wndToolBar.EnableDocking(CBRS_ALIGN_ANY);
	m_wndDlgBar.EnableDocking(CBRS_ALIGN_ANY);
	m_wndDvipsBar.EnableDocking(CBRS_ALIGN_ANY);
	EnableDocking(CBRS_ALIGN_ANY);

	RECT rectToolBar;
	rectToolBar.left = AfxGetApp()->GetProfileInt( "Settings", "leftToolBar", -1 );
	rectToolBar.top = AfxGetApp()->GetProfileInt( "Settings", "topToolBar", 0 );
	rectToolBar.right = AfxGetApp()->GetProfileInt( "Settings", "rightToolBar", 0 );
	rectToolBar.bottom = AfxGetApp()->GetProfileInt( "Settings", "bottomToolBar", 0 );
	if( AfxGetApp()->GetProfileInt("Settings", "ToolBarFloat", FALSE) )
	{
		FloatControlBar( &m_wndToolBar, CPoint(rectToolBar.left,rectToolBar.top) );
	}
	else
	{
		if( rectToolBar.left == -1 )
		{
			DockControlBar( &m_wndToolBar );
		}
		else
		{
			DockControlBar( &m_wndToolBar, (UINT)0, (LPCRECT)&rectToolBar );
		}
	}

	RECT rectFormatBar;
	rectFormatBar.left = AfxGetApp()->GetProfileInt( "Settings", "leftFormatBar", -1 );
	rectFormatBar.top = AfxGetApp()->GetProfileInt( "Settings", "topFormatBar", 0 );
	rectFormatBar.right = AfxGetApp()->GetProfileInt( "Settings", "rightFormatBar", 0 );
	rectFormatBar.bottom = AfxGetApp()->GetProfileInt( "Settings", "bottomFormatBar", 0 );
	if( AfxGetApp()->GetProfileInt("Settings", "FormatBarFloat", FALSE) )
	{
		FloatControlBar( &m_wndDlgBar, CPoint(rectFormatBar.left,rectFormatBar.top) );
	}
	else
	{
		if( rectFormatBar.left == -1 )
		{
			DockControlBar( &m_wndDlgBar );
		}
		else
		{
			DockControlBar( &m_wndDlgBar, (UINT)0, &rectFormatBar );
		}
	}

	RECT rectDvipsBar;
	rectDvipsBar.left = AfxGetApp()->GetProfileInt( "Settings", "leftDvipsBar", -1 );
	rectDvipsBar.top = AfxGetApp()->GetProfileInt( "Settings", "topDvipsBar", 0 );
	rectDvipsBar.right = AfxGetApp()->GetProfileInt( "Settings", "rightDvipsBar", 0 );
	rectDvipsBar.bottom = AfxGetApp()->GetProfileInt( "Settings", "bottomDvipsBar", 0 );
	if( AfxGetApp()->GetProfileInt("Settings", "DvipsBarFloat", FALSE) )
	{
		FloatControlBar( &m_wndDvipsBar, CPoint(rectDvipsBar.left,rectDvipsBar.top) );
	}
	else
	{
		if( rectDvipsBar.left == -1 )
		{
			DockControlBar( &m_wndDvipsBar );
		}
		else
		{
			DockControlBar( &m_wndDvipsBar, (UINT)0, &rectDvipsBar );
		}
	}

	// 1999/06/20:
	// add AND with CBRS_ALL to recover broken registry value.
	m_wndToolBar.SetBarStyle( (AfxGetApp()->GetProfileInt("Settings", "ToolBarStyle", m_wndToolBar.GetBarStyle()) & CBRS_ALL) );
	m_wndDlgBar.SetBarStyle( (AfxGetApp()->GetProfileInt("Settings", "FormatBarStyle", m_wndDlgBar.GetBarStyle()) & CBRS_ALL) );
	m_wndDvipsBar.SetBarStyle( (AfxGetApp()->GetProfileInt("Settings", "DvipsBarStyle", m_wndDvipsBar.GetBarStyle()) & CBRS_ALL) );
		
	if( AfxGetApp()->GetProfileInt("General", "ShowDvipsBar", TRUE) == FALSE ) HideDvipsBar();
	if( AfxGetApp()->GetProfileInt("General", "ShowFormatBar", TRUE) == FALSE ) HideFormatBar();

		// drag and drop.
	DragAcceptFiles();

	return 0;
}

BOOL CMainFrame::OnCreateClient( LPCREATESTRUCT lpcs,
	CCreateContext* pContext)
{
	BOOL ret = TRUE;
	if( AfxGetApp()->GetProfileInt( "Settings", "Separable", FALSE) == TRUE )
	{
		m_bUseSplit = TRUE;
		ret = m_wndSplitter.CreateStatic( this, 2, 1 );
		if( ret == FALSE ) return FALSE;
		int cyCur, cyMin;
		CRect rect;
		GetClientRect( &rect );
		CSize size = rect.Size();
		cyCur = AfxGetApp()->GetProfileInt( "Settings", "PaneHeight", 100 );
		cyMin = AfxGetApp()->GetProfileInt( "Settings", "PaneHeightMin", 10 );
		size.cy = cyCur;
		if( !m_wndSplitter.CreateView( 0, 0, pContext->m_pNewViewClass, size, pContext ) )
		{
			return FALSE;
		}
		if( !m_wndSplitter.CreateView( 1, 0, pContext->m_pNewViewClass, CSize(0,0), pContext ) )
		{
			return FALSE;
		}
		CWnd* pwnd = m_wndSplitter.GetPane( 1, 0 );
		pwnd->ModifyStyle( WS_VSCROLL | WS_HSCROLL, 0 );
		m_wndSplitter.SetActivePane( 1, 0, NULL );
	}
	else 
	{
		m_bUseSplit = FALSE;
		ret = CFrameWnd::OnCreateClient( lpcs, pContext );
	}
	return ret;
}

BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: ̈ʒu CREATESTRUCT cs CāAWindow NXX^C
	//       CĂB
	WNDCLASS wndcls;

	BOOL bRes = CFrameWnd::PreCreateWindow(cs);
	HINSTANCE hInst = AfxGetInstanceHandle();

	/* set the name of window class "guishell" */
	// see if the class already exists
	if (!::GetClassInfo(hInst, "guishell", &wndcls))
	{
		// get default stuff
		::GetClassInfo(hInst, cs.lpszClass, &wndcls);
		// register a new class
		wndcls.lpszClassName = "guishell";
		wndcls.hIcon = ::LoadIcon(hInst, MAKEINTRESOURCE(IDR_MAINFRAME));
		ASSERT(wndcls.hIcon != NULL);
		if (!AfxRegisterClass(&wndcls))
			AfxThrowResourceException();
	}
	cs.lpszClass = "guishell"; // set class name "guishell"

	if( AfxGetApp()->GetProfileInt("Settings", "TitleAppNameOnly", FALSE) )
		cs.style ^= (LONG)FWS_ADDTOTITLE;
	cs.cx = AfxGetApp()->GetProfileInt( "Settings", "Width", CW_USEDEFAULT );
	cs.cy = AfxGetApp()->GetProfileInt( "Settings", "Height", CW_USEDEFAULT );
	cs.x  = AfxGetApp()->GetProfileInt( "Settings", "xPos", CW_USEDEFAULT );
	cs.y  = AfxGetApp()->GetProfileInt( "Settings", "yPos", CW_USEDEFAULT );
	return bRes;
//	return CFrameWnd::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CMainFrame NX̐ff

#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void CMainFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMainFrame bZ[W nh

void CMainFrame::SetFormatCombo( CDynamicCharArray* pFormat, int sel_index )
{
	ASSERT( pFormat != NULL );
	CComboBox* pCBox = (CComboBox*)m_wndDlgBar.GetDlgItem(IDC_COMBO_FORMAT);
	int index = pFormat->GetLastIndexOfArray();
	int max_index = pCBox->GetCount();
	if( max_index != CB_ERR )
	{
		for( int i = max_index - 1; i >= 0; i-- )
		{
			pCBox->DeleteString( 0 );
		}
	}
	for( int i = 0; i <= index; i++ )
	{
		const char* str = (*pFormat)[i];
		pCBox->AddString( str );
	}
	max_index = pCBox->GetCount() - 1;
	if( sel_index > max_index )
	{
		MessageBox( "The number of items in the list in the combo box\n"
			"became smaller because of some reason.\n"
			"I set the format file to the first one.\n"
			"Please re-select format file in the combo box." );
		pCBox->SetCurSel( 0 );
		return;
	}
	pCBox->SetCurSel( sel_index );
}

void CMainFrame::DisableFormatCombo( void )
{
	CComboBox* pCBox = (CComboBox*)m_wndDlgBar.GetDlgItem(IDC_COMBO_FORMAT);
	pCBox->EnableWindow( FALSE );
}

void CMainFrame::EnableFormatCombo( void )
{
	CComboBox* pCBox = (CComboBox*)m_wndDlgBar.GetDlgItem(IDC_COMBO_FORMAT);
	pCBox->EnableWindow( TRUE );
}

int CMainFrame::GetFormatFileIndex( void )
{
	CComboBox* pCBox = (CComboBox*)m_wndDlgBar.GetDlgItem(IDC_COMBO_FORMAT);
	return pCBox->GetCurSel();
}

void CMainFrame::SetFormatFileIndex( int n )
{
	CComboBox* pCBox = (CComboBox*)m_wndDlgBar.GetDlgItem(IDC_COMBO_FORMAT);
	if( pCBox->SetCurSel(n) == CB_ERR )
		pCBox->SetCurSel( 0 );
	return;
}

void CMainFrame::DisableSrcTeX( void )
{
	CComboBox* pCButton = (CComboBox*)m_wndDlgBar.GetDlgItem(IDC_CHECK_SRCTEX);
	pCButton->EnableWindow( FALSE );
}

void CMainFrame::EnableSrcTeX( void )
{
	CComboBox* pCButton = (CComboBox*)m_wndDlgBar.GetDlgItem(IDC_CHECK_SRCTEX);
	pCButton->EnableWindow( TRUE );
}

BOOL CMainFrame::GetSrcTeX( void )
{
	if( force_src ) return TRUE;
	if( force_no_src ) return FALSE;
	return GetSrcTeXState();
}

BOOL CMainFrame::GetSrcTeXState( void )
{
	CButton* pCButton = (CButton*)m_wndDlgBar.GetDlgItem(IDC_CHECK_SRCTEX);
	return pCButton->GetCheck();
}

void CMainFrame::SetSrcTeX( int n )
{
	CButton* pCButton = (CButton*)m_wndDlgBar.GetDlgItem(IDC_CHECK_SRCTEX);
	pCButton->SetCheck( n );
	return;
}

void CMainFrame::OnClose() 
{
	// TODO: ̈ʒuɃbZ[W nhp̃R[hǉ邩܂̓ftHg̏ĂяoĂ
	CComboBox* pCBox = (CComboBox*)m_wndDlgBar.GetDlgItem(IDC_COMBO_FORMAT);
	int fmt_index = pCBox->GetCurSel();
	AfxGetApp()->WriteProfileInt( "General", "FormatIndex", fmt_index );
	AfxGetApp()->WriteProfileInt( "General", "SrcTeX", GetSrcTeXState() );

	//save toolbar/formatbar status.
	BOOL bFloatToolBar = m_wndToolBar.IsFloating();
	BOOL bFloatFormatBar = m_wndDlgBar.IsFloating();
	BOOL bFloatDvipsBar = m_wndDvipsBar.IsFloating();

	AfxGetApp()->WriteProfileInt( "Settings", "ToolBarFloat", bFloatToolBar );
	CRect rectToolBar;
	if( bFloatToolBar )
	{
		CWnd* pWnd = m_wndToolBar.GetParent()->GetParent();
		pWnd->GetWindowRect( &rectToolBar );
	}
	else
	{
		m_wndToolBar.GetWindowRect( &rectToolBar );
	}
	AfxGetApp()->WriteProfileInt( "Settings", "leftToolBar", rectToolBar.left );
	AfxGetApp()->WriteProfileInt( "Settings", "topToolBar", rectToolBar.top );
	AfxGetApp()->WriteProfileInt( "Settings", "rightToolBar", rectToolBar.right );
	AfxGetApp()->WriteProfileInt( "Settings", "bottomToolBar", rectToolBar.bottom );
	AfxGetApp()->WriteProfileInt( "Settings", "ToolBarStyle", m_wndToolBar.GetBarStyle() );

	AfxGetApp()->WriteProfileInt( "Settings", "FormatBarFloat", bFloatFormatBar );
	CRect rectFormatBar;
	if( bFloatFormatBar )
	{
		CWnd* pWnd = m_wndDlgBar.GetParent()->GetParent();
		pWnd->GetWindowRect( &rectFormatBar );
	}
	else
	{
		m_wndDlgBar.GetWindowRect( &rectFormatBar );
	}
	AfxGetApp()->WriteProfileInt( "Settings", "leftFormatBar", rectFormatBar.left );
	AfxGetApp()->WriteProfileInt( "Settings", "topFormatBar", rectFormatBar.top );
	AfxGetApp()->WriteProfileInt( "Settings", "rightFormatBar", rectFormatBar.right );
	AfxGetApp()->WriteProfileInt( "Settings", "bottomFormatBar", rectFormatBar.bottom );
	AfxGetApp()->WriteProfileInt( "Settings", "FormatBarStyle", m_wndDlgBar.GetBarStyle() );

	AfxGetApp()->WriteProfileInt( "Settings", "DvipsBarFloat", bFloatDvipsBar );
	CRect rectDvipsBar;
	if( bFloatDvipsBar )
	{
		CWnd* pWnd = m_wndDvipsBar.GetParent()->GetParent();
		pWnd->GetWindowRect( &rectDvipsBar );
	}
	else
	{
		m_wndDvipsBar.GetWindowRect( &rectDvipsBar );
	}
	AfxGetApp()->WriteProfileInt( "Settings", "leftDvipsBar", rectDvipsBar.left );
	AfxGetApp()->WriteProfileInt( "Settings", "topDvipsBar", rectDvipsBar.top );
	AfxGetApp()->WriteProfileInt( "Settings", "rightDvipsBar", rectDvipsBar.right );
	AfxGetApp()->WriteProfileInt( "Settings", "bottomDvipsBar", rectDvipsBar.bottom );
	AfxGetApp()->WriteProfileInt( "Settings", "DvipsBarStyle", m_wndDvipsBar.GetBarStyle() );

	if( m_bUseSplit == TRUE )
	{
		int cyCur, cyMin;
		m_wndSplitter.GetRowInfo( 0, cyCur, cyMin );
		AfxGetApp()->WriteProfileInt( "Settings", "PaneHeight", cyCur );
	}
	if( m_ddesrv != NULL )
	{
		delete m_ddesrv;
		m_ddesrv = NULL;
	}
	CFrameWnd::OnClose();
}

void Dde_Execute( char* exec )
{
	/* We assume that the exec forms following:
		to_process_filename /fN /ProcessOnce ...
		N: format file.
	*/
	if( g_szDdeData != NULL )
	{
		delete[] g_szDdeData;
		g_szDdeData = NULL;
	}
	if( g_szFileName != NULL )
	{
		delete[] g_szFileName;
		g_szFileName = NULL;
	}

	int l = lstrlen( exec );
	if( l == 0 ) return;

	dde_mode = TRUE;
	process_type = 0;

	char* commandline = new char[l+1];
	int filename_last = 0;
	int qs = FindFirstChar( exec, '"' );
	if( qs != -1 ) // there is "...";
	{
		lstrcpy( commandline, exec + qs + 1 );
		int ql = FindFirstChar( commandline, '"' );
		if( ql != -1 )
		{
			commandline[ql] = NULL;
		}
		g_szFileName = new char[lstrlen(commandline)+1];
		lstrcpy( g_szFileName, commandline );
		filename_last = qs + 1 + ql;
	}
	else
	{
		lstrcpy( commandline, exec );
		int s = FindFirstChar( commandline, ' ' );
		if( s == -1 )
		{
			g_szFileName = new char[l+1];
			lstrcpy( g_szFileName, exec );
			filename_last = lstrlen(g_szFileName) - 1;
		}
		else
		{
			commandline[s] = NULL;
			g_szFileName = new char[s+1];
			lstrcpy( g_szFileName, commandline );
			filename_last = s - 1;
		}
	}
	if( exec[filename_last+1] != ' ' )
	{
		delete[] commandline;
		SendMessage( g_hWndView, WM_USER_FILE_OPEN, 0, 0 );
		return;
	}
	
	char option[32];
	lstrcpy( commandline, exec + filename_last + 2 );
	for( ;; )
	{
		int sl = FindFirstChar( commandline, '/' );
		int ss = FindFirstChar( commandline, ' ' );
		if( sl == -1 ) break;
		if( ss != -1 && ss < sl ) break;
		int size;
		if( ss == -1 )
			size = min( 32, lstrlen(commandline) ) - 1;
		else
			size = min( 32, ss - sl ) - 1;
		memcpy( option, commandline + sl + 1, size );
		option[size] = NULL;
		if( option[0] == 'f' )
		{ // setting format file...
			if( option[1] == NULL )
			{
				int l = lstrlen( commandline );
				memmove( commandline, commandline + ss + 1, l - ss );
				if( ss == -1 ) break;
				continue;
			}
			int f = atoi( option + 1 );
			CMainFrame* pCWnd = static_cast<CMainFrame*>(AfxGetMainWnd());
			pCWnd->SetFormatFileIndex( f );
		}
		else if( lstrcmpi(option, "ProcessOnce") == 0 )
		{
			process_type = PROCESS_ONCE;
		}
		else if( lstrcmpi(option, "ProcessComplete") == 0 )
		{
			process_type = PROCESS_COMPLETE;
		}
		else if( lstrcmpi(option, "ShellExecute") == 0 )
		{
			shell_exec = TRUE;
		}
		else if( lstrcmpi(option, "Source") == 0 )
		{
			force_src = TRUE;
		}
		else if( lstrcmpi(option, "NoSource") == 0 )
		{
			force_no_src = TRUE;
		}
		int l = lstrlen( commandline );
		memmove( commandline, commandline + ss + 1, l - ss );
		if( ss == -1 ) break;
	}
	delete[] commandline;
	SendMessage( g_hWndView, WM_USER_FILE_OPEN, 0, 0 );
	return;
}

char* Dde_PostAdvice( char* advice_data, DWORD size )
{
	/* This function creates a string that is a posted to the dde-client
	   from advice-loop.
	   if this function returns NULL, the application will not post the
	   string.
	   This function may change the advice_data. which is the buffer the data
	   will be stored. The size of the data buffer is given by size.
	   You have to return the advice_data, unless if you have no data to return. */
	char* ret = NULL;
	EnterCriticalSection( &g_csDde );
	if( g_szDdeData == NULL ) ret = NULL;
	else if( (DWORD)lstrlen(g_szDdeData) >= size ) ret = NULL;
	else
	{
		lstrcpy( advice_data, g_szDdeData );
		ret = advice_data;
	}
	LeaveCriticalSection( &g_csDde );
	return ret;
}

void CMainFrame::OnDropFiles(HDROP hDropInfo) 
{
	// TODO: ̈ʒuɃbZ[W nhp̃R[hǉ邩܂̓ftHg̏ĂяoĂ
	char* drop_file = new char[MAX_PATH];
	if( DragQueryFile(hDropInfo, 0xffffffff, drop_file, MAX_PATH) != 1 )
	{
		MessageBox( "t@C̃hbv͎󂯕t܂B" );
		return;
	}
	delete[] drop_file;
	CFrameWnd::OnDropFiles(hDropInfo);
	DragFinish( hDropInfo );
}

void CMainFrame::PostAdviceMessage( void )
{
	ASSERT( m_ddesrv != NULL );
	m_ddesrv->PostAdviceData();
}

void CMainFrame::OnDestroy() 
{
	CFrameWnd::OnDestroy();
	// TODO: ̈ʒuɃbZ[W nhp̃R[hǉĂ
	CWinApp* pApp = AfxGetApp();
//	DestroyCaret();

	// preserve position and size of the window.
	CRect rectWinSize;
	GetWindowRect( &rectWinSize );
	if( !IsIconic() && !IsZoomed() )
	{
		pApp->WriteProfileInt( "Settings", "xPos", rectWinSize.left );
		pApp->WriteProfileInt( "Settings", "yPos", rectWinSize.top );
		pApp->WriteProfileInt( "Settings", "Width", rectWinSize.Width() );
		pApp->WriteProfileInt( "Settings", "Height", rectWinSize.Height() );
	}
}

void CMainFrame::EnableDvipsBar( void )
{
	CComboBox* pCPaper = (CComboBox*)m_wndDvipsBar.GetDlgItem(IDC_COMBO_PAPERSIZE);
	CComboBox* pCDpi = (CComboBox*)m_wndDvipsBar.GetDlgItem(IDC_COMBO_DPI);
	CButton* pBLandscape = (CButton*)m_wndDvipsBar.GetDlgItem(IDC_CHECK_LANMDSCAPE);
	CEdit* pEditStartPage = (CEdit*)m_wndDvipsBar.GetDlgItem(IDC_EDIT_STARTPAGE);
	CSpinButtonCtrl* pSpinStartPage = (CSpinButtonCtrl*)m_wndDvipsBar.GetDlgItem(IDC_SPIN_STARTPAGE);
	CEdit* pEditEndPage = (CEdit*)m_wndDvipsBar.GetDlgItem(IDC_EDIT_ENDPAGE);
	CSpinButtonCtrl* pSpinEndPage = (CSpinButtonCtrl*)m_wndDvipsBar.GetDlgItem(IDC_SPIN_ENDPAGE);
	CButton* pBPhysical = (CButton*)m_wndDvipsBar.GetDlgItem(IDC_CHECK_PHYSICAL);
	CButton* pBEps = (CButton*)m_wndDvipsBar.GetDlgItem(IDC_CHECK_EPS);
	CButton* pBHyper = (CButton*)m_wndDvipsBar.GetDlgItem(IDC_CHECK_HYPERTEX);

	pCPaper->EnableWindow( TRUE );
	pCDpi->EnableWindow( TRUE );
	pBLandscape->EnableWindow( TRUE );
	pEditStartPage->EnableWindow( TRUE );
	pSpinStartPage->EnableWindow( TRUE );
	pEditEndPage->EnableWindow( TRUE );
	pSpinEndPage->EnableWindow( TRUE );
	pBPhysical->EnableWindow( TRUE );
	pBEps->EnableWindow( TRUE );
	pBHyper->EnableWindow( TRUE );
}

void CMainFrame::DisableDvipsBar( void )
{
	CComboBox* pCPaper = (CComboBox*)m_wndDvipsBar.GetDlgItem(IDC_COMBO_PAPERSIZE);
	CComboBox* pCDpi = (CComboBox*)m_wndDvipsBar.GetDlgItem(IDC_COMBO_DPI);
	CButton* pBLandscape = (CButton*)m_wndDvipsBar.GetDlgItem(IDC_CHECK_LANMDSCAPE);
	CEdit* pEditStartPage = (CEdit*)m_wndDvipsBar.GetDlgItem(IDC_EDIT_STARTPAGE);
	CSpinButtonCtrl* pSpinStartPage = (CSpinButtonCtrl*)m_wndDvipsBar.GetDlgItem(IDC_SPIN_STARTPAGE);
	CEdit* pEditEndPage = (CEdit*)m_wndDvipsBar.GetDlgItem(IDC_EDIT_ENDPAGE);
	CSpinButtonCtrl* pSpinEndPage = (CSpinButtonCtrl*)m_wndDvipsBar.GetDlgItem(IDC_SPIN_ENDPAGE);
	CButton* pBPhysical = (CButton*)m_wndDvipsBar.GetDlgItem(IDC_CHECK_PHYSICAL);
	CButton* pBEps = (CButton*)m_wndDvipsBar.GetDlgItem(IDC_CHECK_EPS);
	CButton* pBHyper = (CButton*)m_wndDvipsBar.GetDlgItem(IDC_CHECK_HYPERTEX);

	pCPaper->EnableWindow( FALSE );
	pCDpi->EnableWindow( FALSE );
	pBLandscape->EnableWindow( FALSE );
	pEditStartPage->EnableWindow( FALSE );
	pSpinStartPage->EnableWindow( FALSE );
	pEditEndPage->EnableWindow( FALSE );
	pSpinEndPage->EnableWindow( FALSE );
	pBPhysical->EnableWindow( FALSE );
	pBEps->EnableWindow( FALSE );
	pBHyper->EnableWindow( FALSE );
}

void CMainFrame::SetDvipsBar()
{
	CComboBox* pCPaper = (CComboBox*)m_wndDvipsBar.GetDlgItem(IDC_COMBO_PAPERSIZE);
	CComboBox* pCDpi = (CComboBox*)m_wndDvipsBar.GetDlgItem(IDC_COMBO_DPI);
	CButton* pBLandscape = (CButton*)m_wndDvipsBar.GetDlgItem(IDC_CHECK_LANMDSCAPE);
	CEdit* pEditStartPage = (CEdit*)m_wndDvipsBar.GetDlgItem(IDC_EDIT_STARTPAGE);
	CSpinButtonCtrl* pSpinStartPage = (CSpinButtonCtrl*)m_wndDvipsBar.GetDlgItem(IDC_SPIN_STARTPAGE);
	CEdit* pEditEndPage = (CEdit*)m_wndDvipsBar.GetDlgItem(IDC_EDIT_ENDPAGE);
	CSpinButtonCtrl* pSpinEndPage = (CSpinButtonCtrl*)m_wndDvipsBar.GetDlgItem(IDC_SPIN_ENDPAGE);
	CButton* pBPhysical = (CButton*)m_wndDvipsBar.GetDlgItem(IDC_CHECK_PHYSICAL);
	CButton* pBEps = (CButton*)m_wndDvipsBar.GetDlgItem(IDC_CHECK_EPS);
	CButton* pBHyper = (CButton*)m_wndDvipsBar.GetDlgItem(IDC_CHECK_HYPERTEX);

	if( pCPaper == NULL || pBLandscape == NULL || pEditStartPage == NULL
	 || pSpinStartPage == NULL || pEditEndPage == NULL || pSpinEndPage == NULL
	 || pBPhysical == NULL || pBEps == NULL || pBHyper == NULL || pCDpi == NULL ) return;

	pSpinStartPage->SetRange( 0, UD_MAXVAL );
	pSpinEndPage->SetRange( 0, UD_MAXVAL );

	pBLandscape->SetCheck( AfxGetApp()->GetProfileInt("dvips", "Landscape", 0) );

	char temp[32];

	int dpi = AfxGetApp()->GetProfileInt( "dvips", "PrinterDPI", 0 );
	wsprintf( temp, "%ddpi", dpi );
	if( pCDpi->SelectString(-1, temp) == CB_ERR )
	{
		pCDpi->SelectString( -1, "User defined" );
	}

	wsprintf( temp, "%d", AfxGetApp()->GetProfileInt( "dvips", "StartPage", 0 ) );
	pEditStartPage->SetWindowText( temp );
	wsprintf( temp, "%d", AfxGetApp()->GetProfileInt( "dvips", "EndPage", 0 ) );
	pEditEndPage->SetWindowText( temp );

	pBPhysical->SetCheck( AfxGetApp()->GetProfileInt("dvips", "UsePhysicalPage", 1) );
	pBEps->SetCheck( AfxGetApp()->GetProfileInt("dvips", "CreateEPS", FALSE) );
	pBHyper->SetCheck( AfxGetApp()->GetProfileInt("dvips", "HyperTeX", FALSE) );

	pCPaper->ResetContent();
	char* texmf = new char[1];
	DWORD size = GetEnvironmentVariable( g_TEXMF, texmf, 1 );
	delete[] texmf;
	texmf = new char[size+24];
	GetEnvironmentVariable( g_TEXMF, texmf, size+24 );
	SlashToYen( texmf );
	int y = lstrlen( texmf );
	lstrcat( texmf, "\\dvips\\config.ps" );
	CTextFile config( texmf, READONLY );
	if( config.IsOpenedFile() == FALSE )
	{
		texmf[y] = NULL;
		lstrcat( texmf, "\\dvips\\config\\config.ps" );
		config.OpenFile( texmf, READONLY );
		if( config.IsOpenedFile() == FALSE )
		{
			delete[] texmf;
			pCPaper->AddString( "a4paper" );
			pCPaper->SetCurSel( 0 );
			return;
		}
	}
	delete[] texmf;
	for( UINT i = 1; i <= config.GetNumberOfLines(); i++ )
	{
		const char* line = config.GetTheLine( i );
		if( line[0] != '@' ) continue;
		if( lstrlen(line) < 3 ) continue;
		if( line[1] != ' ' ) continue;
		int l = lstrlen( line + 2 );
		char* name = new char[l+1];
		lstrcpy( name, line+2 );
		int s = FindFirstChar( name, ' ' );
		if( s != -1 ) name[s] = NULL;
		pCPaper->AddString( name );
		delete[] name;
	}
	CString strPaper = AfxGetApp()->GetProfileString( "dvips", "PaperFormat", "a4paper" );
	if( pCPaper->SelectString(0, strPaper) == CB_ERR )
	{
		pCPaper->SetCurSel( 0 );
	}
}

CString CMainFrame::GetDvipsPaper()
{
	CComboBox* pCPaper = (CComboBox*)m_wndDvipsBar.GetDlgItem(IDC_COMBO_PAPERSIZE);
	CString str;
	pCPaper->GetWindowText( str );
	return str;
}

void CMainFrame::ShowFormatBar( void )
{
	ShowControlBar( &m_wndDlgBar, TRUE, FALSE );
	AfxGetApp()->WriteProfileInt( "General", "ShowFormatBar", TRUE );
}

void CMainFrame::HideFormatBar( void )
{
	ShowControlBar( &m_wndDlgBar, FALSE, FALSE );
	AfxGetApp()->WriteProfileInt( "General", "ShowFormatBar", FALSE );
}

void CMainFrame::ShowDvipsBar( void )
{
	ShowControlBar( &m_wndDvipsBar, TRUE, FALSE );
	AfxGetApp()->WriteProfileInt( "General", "ShowDvipsBar", TRUE );
}

void CMainFrame::HideDvipsBar( void )
{
	ShowControlBar( &m_wndDvipsBar, FALSE, FALSE );
	AfxGetApp()->WriteProfileInt( "General", "ShowDvipsBar", FALSE );
}

int CMainFrame::GetDvipsStartPage()
{
	CEdit* pEditStartPage = (CEdit*)m_wndDvipsBar.GetDlgItem(IDC_EDIT_STARTPAGE);
	CEdit* pEditEndPage = (CEdit*)m_wndDvipsBar.GetDlgItem(IDC_EDIT_ENDPAGE);
	CButton* pBEps = (CButton*)m_wndDvipsBar.GetDlgItem(IDC_CHECK_EPS);
	if( pEditStartPage == NULL || pEditEndPage == NULL || pBEps == NULL ) return 0;

	char temp[32];
	if( pEditStartPage->GetWindowText(temp, 31) == 0 ) return 0;
	int nStartPage = atoi( temp );
	if( pEditEndPage->GetWindowText(temp,31) == 0 ) return 0;
	int nEndPage = atoi( temp );

	if( pBEps->GetCheck() && nStartPage != nEndPage )
	{ // creating EPS but nEndPage != nStartPage
		wsprintf( temp, "%d", nStartPage );
		pEditEndPage->SetWindowText( temp );
		nEndPage = nStartPage;
	}
	return nStartPage;
}

int CMainFrame::GetDvipsEndPage()
{
	CEdit* pEditStartPage = (CEdit*)m_wndDvipsBar.GetDlgItem(IDC_EDIT_STARTPAGE);
	CEdit* pEditEndPage = (CEdit*)m_wndDvipsBar.GetDlgItem(IDC_EDIT_ENDPAGE);
	CButton* pBEps = (CButton*)m_wndDvipsBar.GetDlgItem(IDC_CHECK_EPS);
	if( pEditStartPage == NULL || pEditEndPage == NULL || pBEps == NULL ) return 0;

	char temp[32];
	if( pEditStartPage->GetWindowText(temp, 31) == 0 ) return 0;
	int nStartPage = atoi( temp );
	if( pEditEndPage->GetWindowText(temp,31) == 0 ) return 0;
	int nEndPage = atoi( temp );

	if( pBEps->GetCheck() && nStartPage != nEndPage )
	{ // creating EPS but nEndPage != nStartPage
		wsprintf( temp, "%d", nStartPage );
		pEditEndPage->SetWindowText( temp );
		nEndPage = nStartPage;
	}
	return nEndPage;
}

BOOL CMainFrame::IsDvipsLandscape()
{
	CButton* pBLandscape = (CButton*)m_wndDvipsBar.GetDlgItem(IDC_CHECK_LANMDSCAPE);
	if( pBLandscape == NULL ) return FALSE;
	return pBLandscape->GetCheck()?TRUE:FALSE;
}


BOOL CMainFrame::IsDvipsPagePhysical()
{
	CButton* pBPhysical = (CButton*)m_wndDvipsBar.GetDlgItem(IDC_CHECK_PHYSICAL);
	if( pBPhysical == NULL ) return FALSE;
	return pBPhysical->GetCheck()?TRUE:FALSE;
}

BOOL CMainFrame::IsDvipsEps()
{
	CButton* pBEps = (CButton*)m_wndDvipsBar.GetDlgItem(IDC_CHECK_EPS);
	if( pBEps == NULL ) return FALSE;
	return pBEps->GetCheck()?TRUE:FALSE;
}

BOOL CMainFrame::IsDvipsHyperTeX()
{
	CButton* pBHyper = (CButton*)m_wndDvipsBar.GetDlgItem(IDC_CHECK_HYPERTEX);
	if( pBHyper == NULL ) return FALSE;
	return pBHyper->GetCheck()?TRUE:FALSE;
}


int CMainFrame::GetDvipsDpi()
{
	CComboBox* pCDpi = (CComboBox*)m_wndDvipsBar.GetDlgItem(IDC_COMBO_DPI);
	CString str;
	pCDpi->GetWindowText( str );
	char dpi[24];
	lstrcpy( dpi, str );
	if( dpi[0] == 'U' ) // "user defined"
		return 0;
	int d = FindFirstChar( dpi, 'd' );
	if( d == -1 ) return 0;
	dpi[d] = NULL;
	return atoi(dpi);
}

