// MyCommandLineInfo.cpp: CMyCommandLineInfo NX̃Cve[V
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "guishell.h"
#include "MyCommandLineInfo.h"
#include "MainFrm.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

extern const DWORD PROCESS_ONCE;
extern const DWORD PROCESS_COMPLETE;

extern char* g_szFileName;
extern int g_FormatIndexByCommand;
extern BOOL given_commandline_param;
extern DWORD process_type;
extern BOOL shell_exec;
extern BOOL force_src;
extern BOOL force_no_src;
//////////////////////////////////////////////////////////////////////
// \z/
//////////////////////////////////////////////////////////////////////

CMyCommandLineInfo::CMyCommandLineInfo()
{
	given_commandline_param = FALSE;
	// is TRUE only if there is a file specified in the command line.
}

CMyCommandLineInfo::~CMyCommandLineInfo()
{

}

void CMyCommandLineInfo::ParseParam( LPCTSTR lpszParam, BOOL bFlag, BOOL bLast )
{
	if( bFlag == FALSE )
	{ // not a flag. so this is a file name to process.
		if( g_szFileName != NULL ) delete[] g_szFileName;
		int l = lstrlen( lpszParam );
		g_szFileName = new char[l+1];
		lstrcpy( g_szFileName, lpszParam );
		given_commandline_param = TRUE;
		return;
	}
	// bFlag is TRUE, i.e. the lpszParam is given as /p 
	if( lpszParam[0] == 'f' )
	{
		if( lpszParam[1] != NULL )
		{
			g_FormatIndexByCommand = atoi( lpszParam+1 );
//			CMainFrame* pCWnd = static_cast<CMainFrame*>(AfxGetMainWnd());
//			pCWnd->SetFormatFileIndex( f );
		}
	}
	else if( lstrcmpi(lpszParam, "ProcessOnce") == 0 )
	{
		process_type = PROCESS_ONCE;
	}
	else if( lstrcmpi(lpszParam, "ProcessComplete") == 0 )
	{
		process_type = PROCESS_COMPLETE;
	}
	else if( lstrcmpi(lpszParam, "ShellExecute") == 0 )
	{
		shell_exec = TRUE;
	}
	else if( lstrcmpi(lpszParam, "Source") == 0 )
	{
		force_src = TRUE;
	}
	else if( lstrcmpi(lpszParam, "NoSource") == 0 )
	{
		force_no_src = TRUE;
	}
}
